
import java.util.BitSet;

public class MyBitSet
{
  private BitSet bs = new BitSet();
		
  public MyBitSet() {
  }
	
  public MyBitSet(int bitMask) {
    for(int i=0,mask=1; i<32; ++i,mask<<=1) {
      if((bitMask&mask) != 0)    bs.set(i);
    }
  }
	
  public boolean get(int i) {
    return bs.get(i);
  }
	
  public void set(int i) {
    bs.set(i);
  }
	
  public int toInt() {
    // if(bs.length() > 32)    throw new IndexOutOfBoundsException();
    int ret = 0;
    for(int i=0,mask=1; i<32; ++i,mask<<=1){
      if(get(i))    ret |= mask;   
    }
    return ret;
  }
}
